{"openapi":"3.1.0","info":{"title":"Scite API","description":"The scite.ai API gives access to citation data, scite tallies, related paper metadata, and scite reference check.\n\n# Terms of Use\n\nTerms of use for the scite API can be [found here](https://scite.ai/terms).\n\n# Overview & Terminology\n\n**Target and Source** — In our API, we refer to the source as the publication making the citation and the target as the publication receiving the citation.\n\n<details>\n  <summary>Additional Terminology</summary>\n<p>\n\n**Tallies** — Tallies are counts of citations for a particular target including how much a publication has been supported, contradicted, or mentioned. The counts for `total`, `supporting`, `contradicting`, `mentioning` and `unclassified` reflect the number of citation statements made toward the DOI. The count `citingPublications` reflects the number of distinct publications which cite the DOI. This distinction is important because there can be more than one citation statement from a publication. Please note, in our UI and other places we refer to contradicted as contrasted but in our API we refer to it as contradicted.\n\n**Papers** — Papers are the metadata about publications including basic things such as DOI, title, date of publication and more.\n\n**Search*** — The search API allows querying scite's publication metadata and citation data. Citation sources can be queried both by publication metadata such as year, journal and so on, as well as the content of their citation snippets and where/how they occur.\n\n**Reference Check*** — We provide an API for our reference checking capability where a publication can be submitted and its references can be evaluated and linked using scite's data.\n\n**References*** — In our API 'references' refers to what are traditionally called 'citations'. These objects are distinct pairs of source and target DOIs.\n\n_*Some endpoints/features concerning these resources are restricted without an Authentication Token — please see the [Authentication section](#description/authentication) for more information._\n\n</p>\n</details>\n\n\n# Authentication\n\nScite Endpoints require tokens in order to be used (aside from tallies and papers endpoints). Please contact  [sales@scite.ai](mailto:sales@scite.ai) for more information.\n\n### Rate Limiting\n\nWithout an Authentication Token, the default rate limit is up to 10 requests per second, up to 40 requests per minute.\n\nThe `/tallies/{{doi}}`, `/tallies/aggregate` and `/papers/{{doi}}` endpoints are uncapped.\n\n### Example Token Usage\n\nAuthentication tokens can be passed be used on the Authorization header:\n\n```\nAuthorization: Bearer <my-token>\n```\n\nFor example:\n\n```bash\n$ curl -H 'Authorization: Bearer <my-token>' 'https://api.scite.ai/reference_check/tasks/123/cancel'\n```\n\nThis can be used to access restricted endpoints or bypass rate limits.\n\nIf you would like to obtain an authentication token for heavier or advanced API usage please contact us at [hi@scite.ai](mailto:hi@scite.ai).\n\n# MCP API (Model Context Protocol)\n\nThe MCP API allows AI agents and tools to search scientific literature using the [Model Context Protocol](https://modelcontextprotocol.io/).\n\nFor details on setting up the scite MCP server with clients like Claude Desktop, ChatGPT, and others, see [scite.ai/mcp](https://scite.ai/mcp).\n\n## Authentication\n\nThere are two ways to authenticate with the MCP API:\n\n### Option 1: OAuth 2.1 (Interactive)\n\nFor browser-based MCP clients (e.g. Claude Desktop, ChatGPT), the standard OAuth 2.1 flow with PKCE is supported automatically. A scite premium subscription is required. See [scite.ai/mcp](https://scite.ai/mcp) for client-specific setup instructions.\n\n**PKCE and a client_id are required.** The authorization endpoint mandates the OAuth 2.1 authorization code flow with PKCE: every request to `/mcp/oauth/authorize` must include `client_id`, `code_challenge`, and `code_challenge_method=S256`. A `client_id` is obtained automatically via Dynamic Client Registration (DCR) — clients discover the registration endpoint from `/.well-known/oauth-authorization-server` and register themselves.\n\nSome platforms (e.g. **Microsoft Copilot Studio**) default to a plain OAuth 2.0 connector with PKCE and DCR turned **off**. With those disabled the authorize request omits the required parameters and the server responds with an `invalid_request` error. When configuring such a client, enable **PKCE** and use **DCR-with-discovery** (or supply a registered `client_id`).\n\n### Option 2: API Key (Programmatic)\n\nFor server-to-server or CLI integrations, you can use an API key issued by scite. Contact sales@scite.ai to obtain credentials.\n\n**Step 1: Exchange your credentials for a bearer token**\n\n```bash\ncurl -X POST 'https://api.scite.ai/auth_token_users/token' \\\n  -H 'Content-Type: application/json' \\\n  -d '{\n    \"client_id\": \"<YOUR_CLIENT_ID>\",\n    \"client_secret\": \"<YOUR_CLIENT_SECRET>\",\n    \"grant_type\": \"client_credentials\"\n  }'\n```\n\nResponse:\n```json\n{\n  \"access_token\": \"eyJhbG...\",\n  \"token_type\": \"bearer\",\n  \"expire_in\": 1711234567\n}\n```\n\nThe access token expires after 2 hours. Request a new one when it expires.\n\n**Step 2: Use the bearer token to call the MCP endpoint**\n\n```bash\ncurl -X POST 'https://api.scite.ai/mcp' \\\n  -H 'Authorization: Bearer <ACCESS_TOKEN>' \\\n  -H 'Content-Type: application/json' \\\n  -d '{\n    \"jsonrpc\": \"2.0\",\n    \"id\": \"1\",\n    \"method\": \"tools/call\",\n    \"params\": {\n      \"name\": \"search_literature\",\n      \"arguments\": { \"term\": \"CRISPR gene editing\" }\n    }\n  }'\n```\n\n## Endpoints\n\n| Method | Path | Description |\n|--------|------|-------------|\n| GET | `/mcp/info` | Server info and capabilities |\n| POST | `/mcp` | JSON-RPC 2.0 endpoint for tool calls |\n| GET | `/mcp/health` | Health check |\n\n## Available Methods\n\n| Method | Description |\n|--------|-------------|\n| `initialize` | Returns protocol version and server capabilities |\n| `tools/list` | Lists available tools and their schemas |\n| `tools/call` | Execute a tool (e.g. `search_literature`) |\n| `ping` | Heartbeat check |\n\n## Example: Search Literature\n\n```bash\ncurl -X POST 'https://api.scite.ai/mcp' \\\n  -H 'Authorization: Bearer <ACCESS_TOKEN>' \\\n  -H 'Content-Type: application/json' \\\n  -d '{\n    \"jsonrpc\": \"2.0\",\n    \"id\": \"1\",\n    \"method\": \"tools/call\",\n    \"params\": {\n      \"name\": \"search_literature\",\n      \"arguments\": {\n        \"term\": \"\\\"machine learning\\\" AND healthcare\",\n        \"limit\": 5,\n        \"sort\": \"date\",\n        \"sort_order\": \"desc\"\n      }\n    }\n  }'\n```\n\nThe `search_literature` tool supports Boolean operators (`AND`, `OR`, `NOT`), phrase search (`\"exact phrase\"`), and 25+ filter parameters including `author`, `journal`, `year`, `date_from`, `date_to`, `has_retraction`, and citation count filters.\n\nUse `tools/list` to see the full input schema.\n\n# Assistant API\n\nThe assistant API consists of two endpoints:\n- [POST /api_partner/assistant/poll](#post-apipartnerassistantpoll) for starting an assistant task\n- [GET /api_partner/assistant/tasks/{task_id}](#post-apipartnerassistanttaskstask_id) for polling the task\n\nBoth endpoints require an authorization header with a valid JWT token issued by scite with the correct scope.\n\n## POST /api_partner/assistant/poll\n\n```bash\ncurl 'https://api.scite.ai/api_partner/assistant/poll' \\\n  -H 'Accept: application/json' \\\n  -H 'Content-Type: application/json' \\\n  -H 'Authorization: Bearer <YOUR_API_TOKEN>' \\\n  --data-raw '{\"turns\":[{\"role\":\"user\",\"content\":\"How does the structure of a protein affect its function?\"}],\"user_input\":\"How does the structure of a protein affect its function?\",\"session_id\":null,\"alwaysUseReferences\":false,\"neverUseReferences\":false,\"abstractsOnly\":false,\"fullTextsOnly\":false,\"numReferences\":25,\"rankBy\":\"all\",\"answerLength\":\"medium\",\"yearFrom\":\"\",\"yearTo\":\"\",\"topics\":[],\"journals\":[],\"publicationTypes\":[],\"citationStyle\":\"ieee\",\"dashboards\":[],\"referenceChecks\":[],\"dois\":[]}' \\\n  --compressed\n```\n\n## Request Body\n\nFor a single turn use of assistant it is suffecient to use a turn structure like this:\n```JSON\n{\n  \"role\": \"user\",\n  \"content\": \"How does the structure of a protein affect its function?\"\n}\n```\nMultiple turns can be provided by adding more turn objects to the `turns` array.\n\n\n## Request Response\n\nThe response will consist of a `{ id: task_id }` which can be used to poll the task.\n\n\n## GET /api_partner/assistant/tasks/{task_id}\n```bash\ncurl 'https://api.scite.ai/api_partner/assistant/tasks/{task_id}' \\\n  -H 'Accept: application/json' \\\n  -H 'Content-Type: application/json' \\\n  -H 'Authorization: Bearer <YOUR_API_TOKEN>' \\\n  --compressed\n```\n\n## Request Response\n\nThe response will consist of a status indicating the status of the task.\nYou will need to poll the task until the status is `SUCCESS`.\nWhile the task status is not `SUCCESS` the response will contain a `info` field with information about the current state of the task such as the currently generated content, search strategies, and search.\n\n## Using Tables Mode\n\nYou can use tables mode by setting `useStructuredResponse` to true in the request body of the POST /api_partner/assistant/poll endpoint.\n\n## Using rankBy Parameter\nThe `rankBy` parameter allows you to control how results are ranked and sorted in your API queries. You can specify this parameter to tailor the ordering of results according to your needs.\nPossible values for `rankBy` are:\n- `all`: A combinatino of the below factors.\n- `relevance`: Sorts results by relevance to the query.\n- `date`: Sorts results by publication date (most recent first).\n- `citations`: Sorts results by the number of citations.\n- `supporting-citations`: Sorts results by the number of supporting citations.\n- `contrasting-citations`: Sorts results by the number of contrasting (contradicting) citations.\n- `journal-rank`: Sorts results by the rank or impact of the journal.\nExample usage in a request body:\n```json\n{\n  \"query\": \"example query\",\n  \"rankBy\": \"relevance\"\n}\n","version":"latest","x-logo":{"url":"https://cdn.scite.ai/assets/images/logo-blue.svg"}},"paths":{"/issn-sji":{"get":{"tags":["Journal"],"summary":"Get scite journal index for ISSN","description":"Read the scite Journal Index for a single ISSN.\n\nFor example: https://api.scite.ai/issn-sji?issn=2232-9935.","operationId":"get_issn_sji_issn_sji_get","parameters":[{"name":"issn","in":"query","required":true,"schema":{"type":"string","description":"Journal ISSN to lookup.","examples":["2232-9935"],"title":"Issn"},"description":"Journal ISSN to lookup."},{"name":"year","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Year to look at SJI from. Leave blank for all years.","title":"Year"},"description":"Year to look at SJI from. Leave blank for all years.","examples":{"example-1":{"summary":"Single year","value":"2005"},"example-2":{"summary":"Multiple years","value":"1998,1999,2008"}}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/IssnSjiResponse"},"title":"Response Get Issn Sji Issn Sji Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/issn-sji-bulk":{"post":{"tags":["Journal"],"summary":"Get scite journal index for multiple ISSNs","description":"Get multiple scite journal indices for multiple ISSNs.\n\nUp to 500 ISSNs can be specified at once.","operationId":"get_issns_sji_issn_sji_bulk_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"examples":[["2232-9935","2623-1247"]],"title":"Issns"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssnSjiBulkResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","label":"Python (requests)","source":"import requests\nfrom pprint import pprint\n\nres = requests.post(\"https://api.scite.ai/issn-sji-bulk\", json=['2232-9935', '2623-1247'])\nresult = res.json()\n\npprint(result)"},{"lang":"Bash","label":"cURL","source":"curl -X POST \\\n    'https://api.scite.ai/issn-sji-bulk' \\\n     -H 'Content-Type: application/json' \\\n     -d '[\"2232-9935\", \"2623-1247\"]'"},{"lang":"JavaScript","label":"Javascript (axios)","source":"const axios = require('axios')\n\nasync function main() {\n  const { data: result } = await axios.post(\n    'https://api.scite.ai/issn-sji-bulk',\n    [\n        '2232-9935',\n        '2623-1247'\n    ]\n  )\n\n  console.log(result)\n}\n\nmain()"}]}},"/issn-editorial-notices":{"get":{"tags":["Journal"],"summary":"Get Issn Editorial Notices","description":"Get multiple editorial notice aggregations for multiple ISSNs.\n\nUp to 500 ISSNs can be specified at once.","operationId":"get_issn_editorial_notices_issn_editorial_notices_get","parameters":[{"name":"issn","in":"query","required":true,"schema":{"type":"string","description":"Comma separated list of ISSNs to lookup.","examples":["0006-3223,1110-0168,1100-3312"],"title":"Issn"},"description":"Comma separated list of ISSNs to lookup."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssnEditorialNoticesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","label":"Python (requests)","source":"import requests\nfrom pprint import pprint\n\nres = requests.get(\"https://api.scite.ai/issn-editorial-notices\", params={\n    issn: \"0006-3223,1110-0168,1100-3312\"\n})\nresult = res.json()\n\npprint(result)"},{"lang":"Bash","label":"cURL","source":"curl -X GET \\\n    'https://api.scite.ai/issn-editorial-notices?issn=0006-3223,1110-0168,1100-3312' \\\n    "},{"lang":"JavaScript","label":"Javascript (axios)","source":"const axios = require('axios')\n\nasync function main() {\n  const { data: result } = await axios.get(\n    'https://api.scite.ai/issn-editorial-notices',{\n      params: {\n        issn: \"0006-3223,1110-0168,1100-3312\"\n      }\n    }\n  )\n\n  console.log(result)\n}\n\nmain()"}]}},"/api_partner/citations/citing/{doi}":{"get":{"tags":["Smart Citation Graph"],"summary":"Receive citations with the DOI as a target paper","description":"Get citations made toward a given DOI.\n\nCan also return relevant paper metadata and tallies for citation sources.\n\nResults can be filtered both by a list of source_dois and a list of\nto limit output.\n\nThis endpoint requires an API token with special access. For\nmore information, please contact us at sales@scite.ai","operationId":"read_citations_external_api_partner_citations_citing__doi__get","parameters":[{"name":"doi","in":"path","required":true,"schema":{"type":"string","title":"Doi"}},{"name":"papers","in":"query","required":false,"schema":{"type":"boolean","description":"Also fetch source paper metadata.","default":false,"title":"Papers"},"description":"Also fetch source paper metadata."},{"name":"tallies","in":"query","required":false,"schema":{"type":"boolean","description":"Also fetch source tally metadata.","default":false,"title":"Tallies"},"description":"Also fetch source tally metadata."},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Can be used in conjunction with offset to page through references if the total count exceeds 3,000.","title":"Limit"},"description":"Can be used in conjunction with offset to page through references if the total count exceeds 3,000."},{"name":"offset","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Can be used in conjunction with limit to page through references if the total count exceeds 3,000.","title":"Offset"},"description":"Can be used in conjunction with limit to page through references if the total count exceeds 3,000."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CitationsExternalSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/citations/cited_by/{doi}":{"get":{"tags":["Smart Citation Graph"],"summary":"Receive citations with the DOI as a source paper","description":"Get citations made from a given DOI.\n\nNote that the citation statements are excluded from the output.\n\nCan also return relevant paper metadata and tallies for citation sources.\n\nThis endpoint requires an API token with special access. For\nmore information, please contact us at sales@scite.ai","operationId":"read_citations_cited_by_external_api_partner_citations_cited_by__doi__get","parameters":[{"name":"doi","in":"path","required":true,"schema":{"type":"string","title":"Doi"}},{"name":"papers","in":"query","required":false,"schema":{"type":"boolean","description":"Also fetch source paper metadata.","default":false,"title":"Papers"},"description":"Also fetch source paper metadata."},{"name":"tallies","in":"query","required":false,"schema":{"type":"boolean","description":"Also fetch source tally metadata.","default":false,"title":"Tallies"},"description":"Also fetch source tally metadata."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CitationsCitedByExternalSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/references/references_to/{doi}":{"get":{"tags":["References"],"summary":"Retrieve distinct references to a publication","description":"Gets distinct references to a given DOI.\n\nCan also return relevant paper metadata and tallies for reference sources.\n\nResults can be filtered by a list of source_dois to limit output.\n\nNote that this endpoint requires an API token for usage.","operationId":"read_references_to_external_api_partner_references_references_to__doi__get","parameters":[{"name":"doi","in":"path","required":true,"schema":{"type":"string","title":"Doi"}},{"name":"papers","in":"query","required":false,"schema":{"type":"boolean","description":"Also fetch source paper metadata.","default":false,"title":"Papers"},"description":"Also fetch source paper metadata."},{"name":"tallies","in":"query","required":false,"schema":{"type":"boolean","description":"Also fetch source tally metadata.","default":false,"title":"Tallies"},"description":"Also fetch source tally metadata."},{"name":"source_doi[]","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"description":"Only return references from these sources.","examples":[["10.1016/j.biopsych.2005.08.012","10.1038/msb.2012.40"]],"default":[],"title":"Source Doi[]"},"description":"Only return references from these sources."},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Can be used in conjunction with offset to page through references if the total count exceeds 3,000.","title":"Limit"},"description":"Can be used in conjunction with offset to page through references if the total count exceeds 3,000."},{"name":"offset","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Can be used in conjunction with limit to page through references if the total count exceeds 3,000.","title":"Offset"},"description":"Can be used in conjunction with limit to page through references if the total count exceeds 3,000."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReferencesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/references/references_from/{doi}":{"get":{"tags":["References"],"summary":"Retrieve distinct references from a publication","description":"Gets distinct references from a given DOI.\n\nCan also return relevant paper metadata and tallies for references.\n\nNote that this endpoint requires an API token for usage.","operationId":"read_references_from_external_api_partner_references_references_from__doi__get","parameters":[{"name":"doi","in":"path","required":true,"schema":{"type":"string","title":"Doi"}},{"name":"papers","in":"query","required":false,"schema":{"type":"boolean","description":"Also fetch source paper metadata.","default":false,"title":"Papers"},"description":"Also fetch source paper metadata."},{"name":"tallies","in":"query","required":false,"schema":{"type":"boolean","description":"Also fetch source tally metadata.","default":false,"title":"Tallies"},"description":"Also fetch source tally metadata."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReferencesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/assistant/poll":{"post":{"tags":["Assistant"],"summary":"Query Assistant For Polling","description":"Submit a question to the scite Assistant. Returns a task ID that you poll via `GET /api_partner/assistant/tasks/{task_id}`.\n\n## Required Fields\n\n### `turns` — Conversation History\n\nThe conversation history as a list of turn objects. Each turn has a `role` (`\"user\"` or `\"assistant\"`) and `content`. For a new conversation, provide a single user turn:\n\n```json\n{\n  \"turns\": [{\"role\": \"user\", \"content\": \"How does protein structure affect function?\"}]\n}\n```\n\nFor multi-turn conversations, include the full history. Assistant turns should include `references`, `searchStrategy`, `model`, `settings`, and `publicationsConsulted` from previous responses.\n\n### `userInput` — Current Question\n\nThe current user question (should match the last user turn's content). Used independently for search strategy generation and tool selection.\n\n---\n\n## Reference Behavior Control\n\n| Field | Type | Default | Description |\n|-------|------|---------|-------------|\n| `alwaysUseReferences` | bool | false | Force reference retrieval even for non-scientific questions |\n| `neverUseReferences` | bool | false | Skip reference retrieval entirely (takes precedence over `alwaysUseReferences`) |\n| `numReferences` | int | 25 | Maximum reference passages to include in LLM context |\n| `referenceChecks` | list[str] | [] | Celery task IDs from uploaded documents (reference check feature) |\n| `searches` | list[str] | [] | Pre-defined search queries (skips auto-generation) |\n\n---\n\n## Search Filtering\n\n| Field | Type | Default | Description |\n|-------|------|---------|-------------|\n| `yearFrom` / `yearTo` | str or null | null | Filter by date range (4-digit year or ISO date) |\n| `topics` | list[str] | [] | Filter by research topics |\n| `citationSections` | list[str] | [] | Filter citations by paper section: `results`, `discussion`, `conclusion`, `methods`, `introduction` |\n| `publicationTypes` | list[str] | [] | Filter by type: `review`, `systematic review`, `meta-analysis`, `practice guideline`, `journal-article`, etc. |\n| `journals` | list[str] | [] | Filter to specific journal names |\n| `openAccessOnly` | bool | false | Only return open access publications |\n| `abstractsOnly` | bool | false | Only use paper abstracts (excludes citation statements) |\n| `fullTextsOnly` | bool | false | Only use citation statements (excludes abstracts) |\n\n---\n\n## Paper Selection\n\n| Field | Type | Default | Description |\n|-------|------|---------|-------------|\n| `dois` | list[str] | [] | Specific DOIs to scope the search to. DOIs in `userInput` are auto-extracted and merged. |\n| `dashboards` | list[int] | [] | Collection (dashboard) IDs to pull DOIs from. Requires authenticated user with access. |\n\n---\n\n## Result Ranking — `rankBy`\n\nControls how retrieved results are ranked before being passed to the LLM. Default: `\"all\"`.\n\n| Value | Ranking Strategy |\n|-------|-----------------|\n| `all` | Balanced: relevance + total citations + scite index + date + supporting + contrasting |\n| `relevance` | Semantic relevance only |\n| `date` | Recency + relevance |\n| `citations` | Total citation count + relevance |\n| `supporting-citations` | Supporting citation count + relevance |\n| `contrasting-citations` | Contrasting citation count + relevance |\n| `journal-rank` | Scite journal index + relevance |\n\n---\n\n## Response Configuration\n\n| Field | Type | Default | Description |\n|-------|------|---------|-------------|\n| `answerLength` | str | `\"short\"` | `\"short\"` (~100-200 words), `\"medium\"` (comprehensive), or `\"long\"` (exhaustive) |\n| `model` | str or null | `gpt-5-nano-2025-08-07` | LLM model for response generation (see below) |\n| `reasoningEffort` | str or null | null | `\"minimal\"`, `\"low\"`, `\"medium\"`, or `\"high\"` — only for reasoning models |\n\n### Available Models\n\n| Model ID | Provider | Notes |\n|----------|----------|-------|\n| `claude-sonnet-4-6` | Anthropic | 200K context, 64K max output |\n| `claude-opus-4-6` | Anthropic | 200K context, 128K max output |\n| `claude-sonnet-4-5-20250929` | Anthropic | 200K context, 64K max output |\n| `claude-opus-4-5-20251101` | Anthropic | 200K context, 64K max output |\n| `claude-haiku-4-5-20251001` | Anthropic | 200K context, 64K max output |\n| `gpt-5-nano-2025-08-07` | OpenAI | **Default.** 400K context. Reasoning model |\n| `gpt-5-mini-2025-08-07` | OpenAI | 400K context. Reasoning model |\n| `gpt-5.2-2025-12-11` | OpenAI | 400K context. Reasoning model. Supports `reasoningEffort` |\n\nIf one provider fails, the system automatically falls back to the other. Unsupported or retired model strings automatically fall back to the default (`gpt-5-nano-2025-08-07`).\n\n---\n\n## Structured Response Mode\n\n| Field | Type | Default | Description |\n|-------|------|---------|-------------|\n| `useStructuredResponse` | bool | false | Return per-reference structured data instead of prose |\n| `jsonResponseType` | str or null | null | `null` (full detail), `\"concise\"`, or `\"boolean\"` (yes/no screening) |\n| `reprocessTurnIdx` | int or null | null | Index of an existing turn to reprocess |\n| `columnSlug` | str or null | null | Slug of a specific column to reprocess |\n\n---\n\n## Patent Modes\n\n| Field | Type | Default | Description |\n|-------|------|---------|-------------|\n| `usePatentMode` | bool | false | Search patents only (no academic papers) |\n| `useMixedPatentMode` | bool | false | Search both patents and academic papers |\n\n---\n\n## Session Management\n\n| Field | Type | Default | Description |\n|-------|------|---------|-------------|\n| `sessionId` | int or null | null | Existing session ID to continue a conversation |\n\n---\n\n## Response\n\nReturns `{\"id\": \"<task_id>\"}`. If the user is rate-limited, also includes `\"usage\": {\"used\": N, \"max\": M}`.\n\n---\n\n## Examples\n\n**Basic single question:**\n```json\n{\n  \"turns\": [{\"role\": \"user\", \"content\": \"What is the effect of exercise on depression?\"}],\n  \"userInput\": \"What is the effect of exercise on depression?\"\n}\n```\n\n**DOI-scoped question:**\n```json\n{\n  \"turns\": [{\"role\": \"user\", \"content\": \"Summarize the key findings\"}],\n  \"userInput\": \"Summarize the key findings\",\n  \"dois\": [\"10.1002/cepa.3344\", \"10.1002/hsr2.70931\"]\n}\n```\n\n**Filtered search:**\n```json\n{\n  \"turns\": [{\"role\": \"user\", \"content\": \"What do systematic reviews say about mindfulness for anxiety?\"}],\n  \"userInput\": \"What do systematic reviews say about mindfulness for anxiety?\",\n  \"publicationTypes\": [\"systematic review\", \"meta-analysis\"],\n  \"yearFrom\": \"2020\",\n  \"rankBy\": \"supporting-citations\",\n  \"answerLength\": \"long\"\n}\n```\n\n**Structured response (table mode):**\n```json\n{\n  \"turns\": [{\"role\": \"user\", \"content\": \"Does each paper support the hypothesis that X causes Y?\"}],\n  \"userInput\": \"Does each paper support the hypothesis that X causes Y?\",\n  \"useStructuredResponse\": true,\n  \"jsonResponseType\": \"boolean\",\n  \"dois\": [\"10.1234/a\", \"10.1234/b\", \"10.1234/c\"]\n}\n```","operationId":"query_assistant_for_polling_api_partner_assistant_poll_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssistantRequestSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssistantPollingResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/assistant/tasks/{task_id}":{"get":{"tags":["Assistant"],"summary":"Get Assistant Task","description":"Poll the status and results of an assistant task. Call this endpoint repeatedly until the status is `SUCCESS`.\n\n## Task States\n\n| Status | Description |\n|--------|-------------|\n| `PENDING` | Task is queued, not yet started |\n| `STARTED` | Task is actively processing — `info` contains progress details |\n| `SUCCESS` | Task completed — `result` contains the full response |\n| `FAILURE` | Task failed — `error` contains the error message |\n| `CANCELLED` | Task was cancelled via the cancel endpoint |\n| `REVOKED` | Task was revoked |\n\n## Progress Info (during `STARTED`)\n\nWhile the task is running, the `info` field provides real-time progress:\n\n```json\n{\n  \"id\": \"abc123\",\n  \"status\": \"STARTED\",\n  \"info\": {\n    \"step\": \"EXECUTING_SEARCHES\",\n    \"stepNumber\": 3,\n    \"response\": \"partial response text...\",\n    \"searches\": [\"query 1\", \"query 2\"],\n    \"publicationsUsed\": [\"10.1234/example\"],\n    \"publicationsConsulting\": [\"Author et al., Title, Journal, 2024\"],\n    \"currentSearch\": \"current query being executed\"\n  }\n}\n```\n\n**Processing steps in order:**\n1. `SCHEDULING_ASSISTANT` — task queued\n2. `GENERATING_SEARCH_STRATEGY` — AI generating search queries\n3. `EXECUTING_SEARCHES` — running queries against Elasticsearch\n4. `RETRIEVING_UPLOADED_DOCUMENTS` — loading reference check documents (if applicable)\n5. `RETRIEVING_PRIMARY_SOURCES` — enriching with primary source data\n6. `COMPOSING_RESPONSE` — preparing context for LLM\n7. `GENERATING_RESPONSE` — LLM generating the answer\n\n## Success Result\n\n```json\n{\n  \"id\": \"abc123\",\n  \"status\": \"SUCCESS\",\n  \"result\": {\n    \"title\": \"How does protein structure affect function?\",\n    \"sessionId\": 42,\n    \"slug\": \"how-does-protein-structure-affect-function-xK9mP\",\n    \"turns\": [...],\n    \"lastUpdated\": \"2025-01-15\",\n    \"createdAt\": \"2025-01-15\",\n    \"tooManySessions\": false\n  }\n}\n```\n\n## Turn Structure\n\nEach assistant turn in the `turns` array contains:\n\n| Field | Type | Description |\n|-------|------|-------------|\n| `role` | str | `\"user\"` or `\"assistant\"` |\n| `content` | str | Response text with numbered citation markers like `[1]`, `[2]` |\n| `structuredResponse` | list or null | Structured response data (when `useStructuredResponse` was true) |\n| `references` | list | Cited references (see below) |\n| `searchStrategy` | list[str] or null | Search queries that were used |\n| `warning` | str or null | Warning message if applicable |\n| `model` | str or null | The model that generated this response |\n| `settings` | dict or null | Settings applied (e.g., AI-suggested `rankBy`, `yearFrom`, `yearTo`) |\n| `publicationsConsulted` | list[dict] or null | All publications considered (including unused ones) |\n\n## Reference Structure\n\nEach reference in the `references` array:\n\n| Field | Type | Description |\n|-------|------|-------------|\n| `answer` | str | The relevant text passage (citation statement or abstract excerpt) |\n| `texts` | list[str] | Text passages used |\n| `context` | str | Surrounding context of the passage |\n| `title` | str | Paper title |\n| `doi` | str | Paper DOI |\n| `link` | str | Link to the scite report page |\n| `type` | str | `\"abstract\"` or `\"citation_statement\"` |\n| `paper` | object | Full paper metadata (title, authors, journal, year, date, abstract, tally, DOI, etc.) |\n| `patent` | object or null | Patent data if from patent search |\n| `refCheckId` | str or null | Reference check task ID if from uploaded document |","operationId":"get_assistant_task_api_partner_assistant_tasks__task_id__get","parameters":[{"name":"task_id","in":"path","required":true,"schema":{"type":"string","title":"Task Id"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssistantPollingResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/recommend-papers/{doi}":{"get":{"tags":["Paper recommendations"],"summary":"Get recommended papers to read given a DOI","operationId":"recommend_papers_given_doi_api_partner_recommend_papers__doi__get","parameters":[{"name":"doi","in":"path","required":true,"schema":{"type":"string","title":"Doi"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SuggestedPaperSchema"},"title":"Response Recommend Papers Given Doi Api Partner Recommend Papers  Doi  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/search":{"get":{"tags":["Search"],"summary":"Get search results from a query","operationId":"get_search_api_partner_search_get","parameters":[{"name":"format","in":"query","required":false,"schema":{"enum":["json","csv","ris"],"type":"string","description":"Result format.","examples":["csv"],"default":"json","title":"Format"},"description":"Result format."},{"name":"term","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Cross-field search term. Can be left blank.","default":"","title":"Term"},"description":"Cross-field search term. Can be left blank."},{"name":"mode","in":"query","required":false,"schema":{"enum":["all","citations","papers","question-answering"],"type":"string","description":"Select search mode, see above.","default":"all","title":"Mode"},"description":"Select search mode, see above."},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","description":"How many results to fetch. Up to 10,000 can be fetched at once.","default":10,"title":"Limit"},"description":"How many results to fetch. Up to 10,000 can be fetched at once."},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","description":"Can be used for pagination in combination with `limit`.","default":0,"title":"Offset"},"description":"Can be used for pagination in combination with `limit`."},{"name":"sort","in":"query","required":false,"schema":{"anyOf":[{"enum":["date","total_cited","total_supported","total_contrasted","total_mentioned","total_citing_publications"],"type":"string"},{"type":"null"}],"description":"How the results should be sorted. Leave blank for generic query 'relevance'.","title":"Sort"},"description":"How the results should be sorted. Leave blank for generic query 'relevance'."},{"name":"sort_order","in":"query","required":false,"schema":{"anyOf":[{"enum":["asc","desc"],"type":"string"},{"type":"null"}],"description":"Result sort order for selected sort.","title":"Sort Order"},"description":"Result sort order for selected sort."},{"name":"title","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Match text in publication title.","title":"Title"},"description":"Match text in publication title."},{"name":"abstract","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Match text in publication abstract.","title":"Abstract"},"description":"Match text in publication abstract."},{"name":"date_from","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Match publications published from this date onwards (YYYY-MM-DD or just YYYY).","title":"Date From"},"description":"Match publications published from this date onwards (YYYY-MM-DD or just YYYY)."},{"name":"date_to","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Match publications published up to this date (YYYY-MM-DD or just YYYY).","title":"Date To"},"description":"Match publications published up to this date (YYYY-MM-DD or just YYYY)."},{"name":"citation_types","in":"query","required":false,"schema":{"type":"array","items":{"enum":["supporting","contrasting","mentioning"],"type":"string"},"description":"Match smart citations of certain types.","default":[],"title":"Citation Types"},"description":"Match smart citations of certain types."},{"name":"has_retraction","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Publication has retraction or not.","title":"Has Retraction"},"description":"Publication has retraction or not."},{"name":"has_concern","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Publication has editorial concern or not.","title":"Has Concern"},"description":"Publication has editorial concern or not."},{"name":"has_correction","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Publication has correction or not.","title":"Has Correction"},"description":"Publication has correction or not."},{"name":"has_erratum","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Publication has erratum or not.","title":"Has Erratum"},"description":"Publication has erratum or not."},{"name":"has_withdrawn","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Publication has been withdrawn or not.","title":"Has Withdrawn"},"description":"Publication has been withdrawn or not."},{"name":"has_tally","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Publication has smart citations made towards it or not (i.e. a scite tally of > 0).","title":"Has Tally"},"description":"Publication has smart citations made towards it or not (i.e. a scite tally of > 0)."},{"name":"supporting_from","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Number of supporting citations made from publication. Leave blank for any count.","title":"Supporting From"},"description":"Number of supporting citations made from publication. Leave blank for any count."},{"name":"supporting_to","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Number of supporting citations made toward publication. Leave blank for any count.","title":"Supporting To"},"description":"Number of supporting citations made toward publication. Leave blank for any count."},{"name":"mentioning_from","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Number of mentioning citations made from publication. Leave blank for any count.","title":"Mentioning From"},"description":"Number of mentioning citations made from publication. Leave blank for any count."},{"name":"mentioning_to","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Number of mentioning citations made toward publication. Leave blank for any count.","title":"Mentioning To"},"description":"Number of mentioning citations made toward publication. Leave blank for any count."},{"name":"contrasting_from","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Number of contrasting citations made from publication. Leave blank for any count.","title":"Contrasting From"},"description":"Number of contrasting citations made from publication. Leave blank for any count."},{"name":"contrasting_to","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Number of contrasting citations made toward publication. Leave blank for any count.","title":"Contrasting To"},"description":"Number of contrasting citations made toward publication. Leave blank for any count."},{"name":"citing_publications_from","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Number of traditional citations made from publication AKA the number of references. Leave blank for any count.","title":"Citing Publications From"},"description":"Number of traditional citations made from publication AKA the number of references. Leave blank for any count."},{"name":"citing_publications_to","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Number of traditional citations made toward publication. Leave blank for any count.","title":"Citing Publications To"},"description":"Number of traditional citations made toward publication. Leave blank for any count."},{"name":"author","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Publication author name.","title":"Author"},"description":"Publication author name."},{"name":"authors","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"default":[],"title":"Authors"}},{"name":"journal","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Journal in which publication appears.","title":"Journal"},"description":"Journal in which publication appears."},{"name":"journals","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"default":[],"title":"Journals"}},{"name":"publisher","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Publisher of the publication.","title":"Publisher"},"description":"Publisher of the publication."},{"name":"section","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Publication section in which citation statement appears.","title":"Section"},"description":"Publication section in which citation statement appears."},{"name":"sections","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"default":[],"title":"Sections"}},{"name":"paper_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Publication type.","title":"Paper Type"},"description":"Publication type."},{"name":"paper_types","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"default":[],"title":"Paper Types"}},{"name":"affiliation","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Author affiliation.","title":"Affiliation"},"description":"Author affiliation."},{"name":"affiliations","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"default":[],"title":"Affiliations"}},{"name":"topic","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Publication topic.","title":"Topic"},"description":"Publication topic."},{"name":"topics","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"default":[],"title":"Topics"}},{"name":"substances","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"description":"Pubchem substance canonical name.","default":[],"title":"Substances"},"description":"Pubchem substance canonical name."},{"name":"mesh_type","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"description":"Pubmed mesh descriptor and/or qualifier for publication.","default":[],"title":"Mesh Type"},"description":"Pubmed mesh descriptor and/or qualifier for publication."},{"name":"compute_aggregations","in":"query","required":false,"schema":{"type":"boolean","description":"For a given search query, this flag will control whether counts are computed and returned for the possible aggregations.","default":false,"title":"Compute Aggregations"},"description":"For a given search query, this flag will control whether counts are computed and returned for the possible aggregations."},{"name":"aggregations","in":"query","required":false,"schema":{"type":"array","items":{"enum":["authors","affiliations","paper_types","journals","topics","substances","mesh_descriptors","editorial_notices","date_histogram_tally","max_date","min_date"],"type":"string"},"description":"List of aggregation types to compute counts for. Only used if `compute_aggregations` is true.","default":["authors","affiliations","paper_types","journals","editorial_notices","date_histogram_tally","topics","mesh_descriptors","substances","max_date","min_date"],"title":"Aggregations"},"description":"List of aggregation types to compute counts for. Only used if `compute_aggregations` is true."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchResultsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/collections/create":{"post":{"tags":["Collections"],"summary":"Create a custom collection (called Dashboards in the UI) from a list of DOIs or a search query","description":"Either 'dois' or 'query' is required to create a dashboard. If both are provided, 'query' will be used.","operationId":"partner_create_custom_dashboard_api_partner_collections_create_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCreateDashboardRQ"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomDashboardSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/collections/{collection_slug}":{"get":{"tags":["Collections"],"summary":"Get custom collection (called Dashboards in the UI) by slug","operationId":"partner_get_dashboard_by_slug_api_partner_collections__collection_slug__get","parameters":[{"name":"collection_slug","in":"path","required":true,"schema":{"type":"string","title":"Collection Slug"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomDashboardSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Collections"],"summary":"Delete custom Collection (called Dashboards in the UI) by slug","operationId":"partner_delete_custom_collection_by_slug_api_partner_collections__collection_slug__delete","parameters":[{"name":"collection_slug","in":"path","required":true,"schema":{"type":"string","title":"Collection Slug"}},{"name":"email","in":"query","required":true,"schema":{"type":"string","format":"email","title":"Email"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Collections"],"summary":"Update a custom collection (called Dashboards in the UI) by slug","description":"Only DOI collections can be updated via this endpoint. Use `/create` for search query based collections.","operationId":"partner_update_custom_collection_by_slug_api_partner_collections__collection_slug__put","parameters":[{"name":"collection_slug","in":"path","required":true,"schema":{"type":"string","title":"Collection Slug"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerUpdateCollectionRQ"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomDashboardSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/papers":{"post":{"tags":["Papers"],"summary":"Get Multiple Papers","description":"Get multiple papers.\n\nPass in a list of DOIs and receive a paper for each one.\n\nUp to 500 papers can be requested at once.","operationId":"get_papers_papers_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"examples":[["10.1016/j.biopsych.2005.08.012","10.1093/brain/awn044"]],"title":"Dois"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PapersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","label":"Python (requests)","source":"import requests\nfrom pprint import pprint\n\nres = requests.post(\"https://api.scite.ai/papers\", json=['10.1016/j.biopsych.2005.08.012', '10.1093/brain/awn044'])\nresult = res.json()\n\npprint(result)"},{"lang":"Bash","label":"cURL","source":"curl -X POST \\\n    'https://api.scite.ai/papers' \\\n     -H 'Content-Type: application/json' \\\n     -d '[\"10.1016/j.biopsych.2005.08.012\", \"10.1093/brain/awn044\"]'"},{"lang":"JavaScript","label":"Javascript (axios)","source":"const axios = require('axios')\n\nasync function main() {\n  const { data: result } = await axios.post(\n    'https://api.scite.ai/papers',\n    [\n        '10.1016/j.biopsych.2005.08.012',\n        '10.1093/brain/awn044'\n    ]\n  )\n\n  console.log(result)\n}\n\nmain()"}]},"get":{"tags":["Papers"],"summary":"Get Multiple Papers","description":"Get multiple papers.\n\nPass in a list of DOIs and receive a paper for each one.\n\nUp to 500 papers can be requested at once.","operationId":"get_papers_papers_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"examples":[["10.1016/j.biopsych.2005.08.012","10.1093/brain/awn044"]],"title":"Dois"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PapersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/papers/sources/{target_doi}":{"get":{"tags":["Papers"],"summary":"Get Papers by Target","description":"Get papers citing a given DOI.","operationId":"get_target_sources_papers_sources__target_doi__get","parameters":[{"name":"target_doi","in":"path","required":true,"schema":{"type":"string","title":"Target Doi"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PapersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/papers/resolve-pmid/{pmid}":{"get":{"tags":["Papers"],"summary":"Resolve PMID to DOI","description":"Resolve a PubMed ID (PMID) to a DOI without requiring\nthe paper to exist in the scite database.","operationId":"resolve_pmid_papers_resolve_pmid__pmid__get","parameters":[{"name":"pmid","in":"path","required":true,"schema":{"type":"string","title":"Pmid"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/papers/{doi}":{"get":{"tags":["Papers"],"summary":"Get Single Paper","description":"Get paper metadata for DOI.","operationId":"get_paper_papers__doi__get","parameters":[{"name":"doi","in":"path","required":true,"schema":{"type":"string","title":"Doi"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaperResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/patents":{"get":{"tags":["Evidence"],"summary":"Search patents","operationId":"search_patents_api_partner_evidence_patents_get","parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching.","title":"Q"},"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching."},{"name":"f","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Space-delimited filters in `field:\"value\"` format. Values must be double-quoted. See the Evidence tag description for examples.","title":"F"},"description":"Space-delimited filters in `field:\"value\"` format. Values must be double-quoted. See the Evidence tag description for examples."},{"name":"p","in":"query","required":false,"schema":{"type":"integer","description":"Page number","default":1,"title":"P"},"description":"Page number"},{"name":"s","in":"query","required":false,"schema":{"enum":["_relevance","forwardCitationCount","familySize","patents.publications.pubRef.date","patents.appRef.filingDate"],"type":"string","description":"Sort field. Options: _relevance (default), forwardCitationCount, familySize, patents.publications.pubRef.date, patents.appRef.filingDate","default":"_relevance","title":"S"},"description":"Sort field. Options: _relevance (default), forwardCitationCount, familySize, patents.publications.pubRef.date, patents.appRef.filingDate"},{"name":"sortDir","in":"query","required":false,"schema":{"enum":["asc","desc"],"type":"string","description":"Sort direction. Ignored when s is _relevance.","default":"desc","title":"Sortdir"},"description":"Sort direction. Ignored when s is _relevance."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentSearchResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","label":"Python (requests)","source":"import requests\nfrom pprint import pprint\n\nres = requests.get(\"https://api.scite.ai/api_partner/evidence/patents\", params={\n    q: \"CRISPR\"\n})\nresult = res.json()\n\npprint(result)"},{"lang":"Bash","label":"cURL","source":"curl -X GET \\\n    'https://api.scite.ai/api_partner/evidence/patents?q=CRISPR' \\\n    "},{"lang":"JavaScript","label":"Javascript (axios)","source":"const axios = require('axios')\n\nasync function main() {\n  const { data: result } = await axios.get(\n    'https://api.scite.ai/api_partner/evidence/patents',{\n      params: {\n        q: \"CRISPR\"\n      }\n    }\n  )\n\n  console.log(result)\n}\n\nmain()"}]}},"/api_partner/evidence/patents/schema":{"get":{"tags":["Evidence"],"summary":"Get patent schema","description":"Returns all queryable and facetable fields for the patents dataset.","operationId":"get_patents_schema_api_partner_evidence_patents_schema_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Patents Schema Api Partner Evidence Patents Schema Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/patents/facets":{"post":{"tags":["Evidence"],"summary":"Get patent facets","operationId":"get_patents_facets_api_partner_evidence_patents_facets_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartialFacetsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacetsResponseModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/patents/{patent_id}":{"get":{"tags":["Evidence"],"summary":"Get patent detail","operationId":"get_patent_detail_api_partner_evidence_patents__patent_id__get","parameters":[{"name":"patent_id","in":"path","required":true,"schema":{"type":"string","title":"Patent Id"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/grants":{"get":{"tags":["Evidence"],"summary":"Search grants","operationId":"search_grants_api_partner_evidence_grants_get","parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching.","title":"Q"},"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching."},{"name":"f","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Space-delimited filters in `field:\"value\"` format. Values must be double-quoted. See the Evidence tag description for examples.","title":"F"},"description":"Space-delimited filters in `field:\"value\"` format. Values must be double-quoted. See the Evidence tag description for examples."},{"name":"p","in":"query","required":false,"schema":{"type":"integer","description":"Page number","default":1,"title":"P"},"description":"Page number"},{"name":"s","in":"query","required":false,"schema":{"enum":["_relevance","awardStartDate","awardCloseDate","awardNoticeDate","awardAmount","employeeCount"],"type":"string","description":"Sort field. Options: _relevance (default), awardStartDate, awardCloseDate, awardNoticeDate, awardAmount, employeeCount","default":"_relevance","title":"S"},"description":"Sort field. Options: _relevance (default), awardStartDate, awardCloseDate, awardNoticeDate, awardAmount, employeeCount"},{"name":"sortDir","in":"query","required":false,"schema":{"enum":["asc","desc"],"type":"string","description":"Sort direction. Ignored when s is _relevance.","default":"desc","title":"Sortdir"},"description":"Sort direction. Ignored when s is _relevance."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GrantSearchResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","label":"Python (requests)","source":"import requests\nfrom pprint import pprint\n\nres = requests.get(\"https://api.scite.ai/api_partner/evidence/grants\", params={\n    q: \"neuroscience\"\n})\nresult = res.json()\n\npprint(result)"},{"lang":"Bash","label":"cURL","source":"curl -X GET \\\n    'https://api.scite.ai/api_partner/evidence/grants?q=neuroscience' \\\n    "},{"lang":"JavaScript","label":"Javascript (axios)","source":"const axios = require('axios')\n\nasync function main() {\n  const { data: result } = await axios.get(\n    'https://api.scite.ai/api_partner/evidence/grants',{\n      params: {\n        q: \"neuroscience\"\n      }\n    }\n  )\n\n  console.log(result)\n}\n\nmain()"}]}},"/api_partner/evidence/grants/schema":{"get":{"tags":["Evidence"],"summary":"Get grants schema","description":"Returns all queryable and facetable fields for the grants dataset.","operationId":"get_grants_schema_api_partner_evidence_grants_schema_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Grants Schema Api Partner Evidence Grants Schema Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/grants/facets":{"post":{"tags":["Evidence"],"summary":"Get grants facets","operationId":"get_grants_facets_api_partner_evidence_grants_facets_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartialFacetsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacetsResponseModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/grants/{grant_id}":{"get":{"tags":["Evidence"],"summary":"Get grant detail","operationId":"get_grant_detail_api_partner_evidence_grants__grant_id__get","parameters":[{"name":"grant_id","in":"path","required":true,"schema":{"type":"string","title":"Grant Id"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GrantDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/clinical-trials":{"get":{"tags":["Evidence"],"summary":"Search clinical trials","operationId":"search_clinical_trials_api_partner_evidence_clinical_trials_get","parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching.","title":"Q"},"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching."},{"name":"f","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Space-delimited filters in `field:\"value\"` format. Values must be double-quoted. See the Evidence tag description for examples.","title":"F"},"description":"Space-delimited filters in `field:\"value\"` format. Values must be double-quoted. See the Evidence tag description for examples."},{"name":"p","in":"query","required":false,"schema":{"type":"integer","description":"Page number","default":1,"title":"P"},"description":"Page number"},{"name":"s","in":"query","required":false,"schema":{"enum":["_relevance","dates.startDate","dates.completedDate","dates.lastUpdatedDate"],"type":"string","description":"Sort field. Options: _relevance (default), dates.startDate, dates.completedDate, dates.lastUpdatedDate","default":"_relevance","title":"S"},"description":"Sort field. Options: _relevance (default), dates.startDate, dates.completedDate, dates.lastUpdatedDate"},{"name":"sortDir","in":"query","required":false,"schema":{"enum":["asc","desc"],"type":"string","description":"Sort direction. Ignored when s is _relevance.","default":"desc","title":"Sortdir"},"description":"Sort direction. Ignored when s is _relevance."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialSearchResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"x-codeSamples":[{"lang":"Python","label":"Python (requests)","source":"import requests\nfrom pprint import pprint\n\nres = requests.get(\"https://api.scite.ai/api_partner/evidence/clinical-trials\", params={\n    q: \"diabetes\"\n})\nresult = res.json()\n\npprint(result)"},{"lang":"Bash","label":"cURL","source":"curl -X GET \\\n    'https://api.scite.ai/api_partner/evidence/clinical-trials?q=diabetes' \\\n    "},{"lang":"JavaScript","label":"Javascript (axios)","source":"const axios = require('axios')\n\nasync function main() {\n  const { data: result } = await axios.get(\n    'https://api.scite.ai/api_partner/evidence/clinical-trials',{\n      params: {\n        q: \"diabetes\"\n      }\n    }\n  )\n\n  console.log(result)\n}\n\nmain()"}]}},"/api_partner/evidence/clinical-trials/schema":{"get":{"tags":["Evidence"],"summary":"Get clinical trials schema","description":"Returns all queryable and facetable fields for the clinical trials dataset.","operationId":"get_clinical_trials_schema_api_partner_evidence_clinical_trials_schema_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Clinical Trials Schema Api Partner Evidence Clinical Trials Schema Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/clinical-trials/facets":{"post":{"tags":["Evidence"],"summary":"Get clinical trials facets","operationId":"get_clinical_trials_facets_api_partner_evidence_clinical_trials_facets_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartialFacetsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacetsResponseModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/clinical-trials/{trial_id}":{"get":{"tags":["Evidence"],"summary":"Get clinical trial detail","operationId":"get_clinical_trial_detail_api_partner_evidence_clinical_trials__trial_id__get","parameters":[{"name":"trial_id","in":"path","required":true,"schema":{"type":"string","title":"Trial Id"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/device510k":{"get":{"tags":["Evidence"],"summary":"Search device 510(k) clearances","operationId":"search_device510k_api_partner_evidence_device510k_get","parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching.","title":"Q"},"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching."},{"name":"f","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Space-delimited filters in `field:\"value\"` format. Values must be double-quoted. See the Evidence tag description for examples.","title":"F"},"description":"Space-delimited filters in `field:\"value\"` format. Values must be double-quoted. See the Evidence tag description for examples."},{"name":"p","in":"query","required":false,"schema":{"type":"integer","description":"Page number","default":1,"title":"P"},"description":"Page number"},{"name":"s","in":"query","required":false,"schema":{"enum":["_relevance","device.device_class","device.date_received","decision.decision_date"],"type":"string","description":"Sort field. Options: _relevance (default), device.device_class, device.date_received, decision.decision_date","default":"_relevance","title":"S"},"description":"Sort field. Options: _relevance (default), device.device_class, device.date_received, decision.decision_date"},{"name":"sortDir","in":"query","required":false,"schema":{"enum":["asc","desc"],"type":"string","description":"Sort direction. Ignored when s is _relevance.","default":"desc","title":"Sortdir"},"description":"Sort direction. Ignored when s is _relevance."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device510kSearchResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/device510k/schema":{"get":{"tags":["Evidence"],"summary":"Get device 510(k) schema","description":"Returns all queryable and facetable fields for the device 510(k) dataset.","operationId":"get_device510k_schema_api_partner_evidence_device510k_schema_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Device510K Schema Api Partner Evidence Device510K Schema Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/device510k/facets":{"post":{"tags":["Evidence"],"summary":"Get device 510(k) facets","operationId":"get_device510k_facets_api_partner_evidence_device510k_facets_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartialFacetsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacetsResponseModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/device510k/{device_id}":{"get":{"tags":["Evidence"],"summary":"Get device 510(k) detail","operationId":"get_device510k_detail_api_partner_evidence_device510k__device_id__get","parameters":[{"name":"device_id","in":"path","required":true,"schema":{"type":"string","title":"Device Id"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device510kDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/device510k-summaries":{"get":{"tags":["Evidence"],"summary":"Search 510(k) summary PDFs","operationId":"search_device510k_summaries_api_partner_evidence_device510k_summaries_get","parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching.","title":"Q"},"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching."},{"name":"f","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Space-delimited filters in `field:\"value\"` format. Values must be double-quoted. See the Evidence tag description for examples.","title":"F"},"description":"Space-delimited filters in `field:\"value\"` format. Values must be double-quoted. See the Evidence tag description for examples."},{"name":"p","in":"query","required":false,"schema":{"type":"integer","description":"Page number","default":1,"title":"P"},"description":"Page number"},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device510kSummariesSearchResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/device510k-summaries/schema":{"get":{"tags":["Evidence"],"summary":"Get 510(k) summary PDFs schema","operationId":"get_device510k_summaries_schema_api_partner_evidence_device510k_summaries_schema_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Device510K Summaries Schema Api Partner Evidence Device510K Summaries Schema Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/device510k-summaries/facets":{"post":{"tags":["Evidence"],"summary":"Get 510(k) summary PDFs facets","operationId":"get_device510k_summaries_facets_api_partner_evidence_device510k_summaries_facets_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartialFacetsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacetsResponseModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/device510k-summaries/{item_id}":{"get":{"tags":["Evidence"],"summary":"Get 510(k) summary PDF detail","operationId":"get_device510k_summaries_detail_api_partner_evidence_device510k_summaries__item_id__get","parameters":[{"name":"item_id","in":"path","required":true,"schema":{"type":"string","title":"Item Id"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device510kSummariesDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/mhra":{"get":{"tags":["Evidence"],"summary":"Search MHRA alerts","operationId":"search_mhra_api_partner_evidence_mhra_get","parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching.","title":"Q"},"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching."},{"name":"f","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Space-delimited filters in `field:\"value\"` format. Facet fields: ontology.tags, ontology.categories, domain. Date range fields: attachments.file.createdAt (alert publication date), attachments.file.modifiedAt (alert last-updated date). Use gte/lt suffixes for ranges, e.g. attachments.file.createdAtgte:\"2025-01-01\" attachments.file.createdAtlt:\"2026-01-01\".","title":"F"},"description":"Space-delimited filters in `field:\"value\"` format. Facet fields: ontology.tags, ontology.categories, domain. Date range fields: attachments.file.createdAt (alert publication date), attachments.file.modifiedAt (alert last-updated date). Use gte/lt suffixes for ranges, e.g. attachments.file.createdAtgte:\"2025-01-01\" attachments.file.createdAtlt:\"2026-01-01\"."},{"name":"p","in":"query","required":false,"schema":{"type":"integer","description":"Page number","default":1,"title":"P"},"description":"Page number"},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MhraSearchResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/mhra/schema":{"get":{"tags":["Evidence"],"summary":"Get MHRA schema","operationId":"get_mhra_schema_api_partner_evidence_mhra_schema_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Mhra Schema Api Partner Evidence Mhra Schema Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/mhra/facets":{"post":{"tags":["Evidence"],"summary":"Get MHRA facets","operationId":"get_mhra_facets_api_partner_evidence_mhra_facets_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartialFacetsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacetsResponseModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/mhra/{item_id}":{"get":{"tags":["Evidence"],"summary":"Get MHRA alert detail","operationId":"get_mhra_detail_api_partner_evidence_mhra__item_id__get","parameters":[{"name":"item_id","in":"path","required":true,"schema":{"type":"string","title":"Item Id"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MhraDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/maude":{"get":{"tags":["Evidence"],"summary":"Search MAUDE adverse event reports","operationId":"search_maude_api_partner_evidence_maude_get","parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching.","title":"Q"},"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching."},{"name":"f","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Space-delimited filters in `field:\"value\"` format. Facet fields: event_type, device.device_class, device.manufacturer_d_name, device.device_report_product_code, device.regulation_number, report_source_code, product_problems, patient.problems. Date range fields: date_received, date_report. Use gte/lt suffixes for ranges, e.g. date_receivedgte:\"2024-01-01\" date_receivedlt:\"2024-07-01\".","title":"F"},"description":"Space-delimited filters in `field:\"value\"` format. Facet fields: event_type, device.device_class, device.manufacturer_d_name, device.device_report_product_code, device.regulation_number, report_source_code, product_problems, patient.problems. Date range fields: date_received, date_report. Use gte/lt suffixes for ranges, e.g. date_receivedgte:\"2024-01-01\" date_receivedlt:\"2024-07-01\"."},{"name":"p","in":"query","required":false,"schema":{"type":"integer","description":"Page number (1-indexed)","default":1,"title":"P"},"description":"Page number (1-indexed)"},{"name":"s","in":"query","required":false,"schema":{"enum":["_relevance","date_received","date_report"],"type":"string","description":"Sort field. Options: _relevance (default), date_received, date_report","default":"_relevance","title":"S"},"description":"Sort field. Options: _relevance (default), date_received, date_report"},{"name":"sortDir","in":"query","required":false,"schema":{"enum":["asc","desc"],"type":"string","description":"Sort direction. Ignored when s is _relevance.","default":"desc","title":"Sortdir"},"description":"Sort direction. Ignored when s is _relevance."},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaudeSearchResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/maude/schema":{"get":{"tags":["Evidence"],"summary":"Get MAUDE schema","operationId":"get_maude_schema_api_partner_evidence_maude_schema_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Maude Schema Api Partner Evidence Maude Schema Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/maude/facets":{"post":{"tags":["Evidence"],"summary":"Get MAUDE facets","operationId":"get_maude_facets_api_partner_evidence_maude_facets_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartialFacetsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacetsResponseModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/maude/{report_id}":{"get":{"tags":["Evidence"],"summary":"Get MAUDE report detail","operationId":"get_maude_detail_api_partner_evidence_maude__report_id__get","parameters":[{"name":"report_id","in":"path","required":true,"schema":{"type":"string","title":"Report Id"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaudeDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/faers":{"get":{"tags":["Evidence"],"summary":"Search FAERS drug adverse event reports","operationId":"search_faers_api_partner_evidence_faers_get","parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching.","title":"Q"},"description":"Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching."},{"name":"f","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Space-delimited filters in `field:\"value\"` format. Facet fields: drug.medicinalproduct, drug.brand_name, drug.generic_name, drug.substance_name, drug.manufacturer_name, drug.route, drug.pharm_class_epc, drug.pharm_class_moa, drug.drugindication, reaction.reactionmeddrapt, reaction.reactionoutcome, event.reporttype, event.seriousness_type, event.occurcountry, event.patientsex, primarysource.qualification, primarysource.reportercountry. Date range fields: event.receivedate, event.receiptdate, event.transmissiondate, drug.drugstartdate, drug.drugenddate. Use gte/lt suffixes for ranges, e.g. event.receivedategte:\"2024-01-01\" event.receivedatelt:\"2025-01-01\".","title":"F"},"description":"Space-delimited filters in `field:\"value\"` format. Facet fields: drug.medicinalproduct, drug.brand_name, drug.generic_name, drug.substance_name, drug.manufacturer_name, drug.route, drug.pharm_class_epc, drug.pharm_class_moa, drug.drugindication, reaction.reactionmeddrapt, reaction.reactionoutcome, event.reporttype, event.seriousness_type, event.occurcountry, event.patientsex, primarysource.qualification, primarysource.reportercountry. Date range fields: event.receivedate, event.receiptdate, event.transmissiondate, drug.drugstartdate, drug.drugenddate. Use gte/lt suffixes for ranges, e.g. event.receivedategte:\"2024-01-01\" event.receivedatelt:\"2025-01-01\"."},{"name":"p","in":"query","required":false,"schema":{"type":"integer","description":"Page number (1-indexed)","default":1,"title":"P"},"description":"Page number (1-indexed)"},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaersSearchResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/faers/schema":{"get":{"tags":["Evidence"],"summary":"Get FAERS schema","operationId":"get_faers_schema_api_partner_evidence_faers_schema_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Faers Schema Api Partner Evidence Faers Schema Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/faers/facets":{"post":{"tags":["Evidence"],"summary":"Get FAERS facets","operationId":"get_faers_facets_api_partner_evidence_faers_facets_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartialFacetsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacetsResponseModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api_partner/evidence/faers/{report_id}":{"get":{"tags":["Evidence"],"summary":"Get FAERS report detail","operationId":"get_faers_detail_api_partner_evidence_faers__report_id__get","parameters":[{"name":"report_id","in":"path","required":true,"schema":{"type":"string","title":"Report Id"}},{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` to pass token for authorization.","title":"Authorization"},"description":"Set to `Bearer <token>` to pass token for authorization."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaersDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/tallies":{"post":{"tags":["Tallies"],"summary":"Get Tallies","description":"Get multiple smart citation tallies.\n\nPass in a list of DOIs and receive a tally for each one.\n\nUp to 500 tallies can be requested at once.","operationId":"get_tallies_tallies_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"type":"string","description":"Set to `Bearer <token>` t
[...]
